# plupload.Runtime

Namespace | plupload
Class | Runtime
Type | Singleton
Subclasses | BrowserPlus, Flash, Gears, Html4, Html5, Silverlight

Runtime class gets implemented by each upload runtime.

## Public Methods

Method | Defined By
--- | ---
init(uploader:Uploader, callback:function):void [static] Initializes the upload runtime. | Runtime

## Method details

### initmethod

`public static function init(uploader:Uploader, callback:function):void`
Initializes the upload runtime. This method should add necessary items to the DOM and register events needed for operation.

#### Parameters

uploader:Uploader | Uploader instance that needs to be initialized.
callback:function | Callback function to execute when the runtime initializes or fails to initialize. If it succeeds an object with a parameter name success will be set to true.